import {
	request
} from '@/utils/request'

/**
 * 基于ID查询
 * @param data
 * @returns {AxiosPromise}
 */
export function getCheckTaskDoingItemById(taskId, checkRecordId) {
  return request({
    url: `/check/task/doing/item/${taskId}/${checkRecordId}`,
    method: 'GET'
  })
}

/**
 * 更新CheckTaskDoing Item
 * @param data
 * @returns {AxiosPromise}
 */
export function updateCheckTaskDoingItem(data) {
  return request({
    url: `/check/task/doing/item/update`,
    method: 'PUT',
    data
  })
}

/**
 * 批量更新CheckTaskDoing Item
 * @param data
 * @returns {AxiosPromise}
 */
export function batchUpdateCheckTaskDoingItem(taskId, checkResult) {
  return request({
    url: `/check/task/doing/item/batchUpdate/${taskId}/${checkResult}`,
    method: 'PUT'
  })
}

/**
 * 删除CheckTaskDoing Item
 * @param data
 * @returns {AxiosPromise}
 */
export function deleteCheckTaskDoingItemById(taskId, checkRecordId) {
  return request({
    url: `/check/task/doing/item/${taskId}/${checkRecordId}`,
    method: 'DELETE'
  })
}
