import {
	request
} from '@/utils/request'
/**
 * 获取Checklist分页
 * @param data
 * @returns
 */
export function getChecklistByPage(data) {
  return request({
    url: '/checklist/page',
    method: 'GET',
    params: data
  })
}

/**
 * 获取Checklist列表
 * @param data
 * @returns
 */
export function getChecklistByList(data) {
  return request({
    url: '/checklist',
    method: 'GET',
    params: data
  })
}

/**
 * 根据Id获取Checklist
 * @param data
 * @returns
 */
export function getChecklistById(id) {
  return request({
    url: `/checklist/${id}`,
    method: 'GET'
  })
}

/**
 * 添加Checklist
 * @param data
 * @returns
 */
export function createChecklist(data) {
  return request({
    url: `/checklist/add`,
    method: 'post',
    data
  })
}

/**
 * 更新Checklist
 * @param data
 * @returns
 */
export function updateChecklist(data) {
  return request({
    url: `/checklist/update`,
    method: 'PUT',
    data
  })
}

/**
 * 删除Checklist
 * @param data
 * @returns
 */
export function deleteChecklistById(id) {
  return request({
    url: `/checklist/${id}`,
    method: 'DELETE'
  })
}

/**
 * 根据Id获取Checklist Data
 * @param data
 * @returns
 */
export function getChecklistViewById(checklistId) {
  return request({
    url: `/checklist/view/${checklistId}`,
    method: 'GET'
  })
}
