import {
	request
} from '@/utils/request'

/**
 * 获取分页
 * @param data
 * @returns {AxiosPromise}
 */
export function getChecklistCatByPage(data) {
  return request({
    url: '/checklist/cat/page',
    method: 'GET',
    params: data
  })
}

/**
 * 获取列表
 * @param data
 * @returns {AxiosPromise}
 */
export function getChecklistCatByList(data) {
  return request({
    url: '/checklist/cat',
    method: 'GET',
    params: data
  })
}

/**
 * 根据Id获取
 * @param data
 * @returns {AxiosPromise}
 */
export function getChecklistCatById(id) {
  return request({
    url: `/checklist/cat/${id}`,
    method: 'GET'
  })
}

/**
 * 添加
 * @param data
 * @returns {AxiosPromise}
 */
export function createChecklistCat(data) {
  return request({
    url: `/checklist/cat/add`,
    method: 'post',
    data
  })
}

/**
 * 更新
 * @param data
 * @returns {AxiosPromise}
 */
export function updateChecklistCat(data) {
  return request({
    url: `/checklist/cat/update`,
    method: 'PUT',
    data
  })
}

/**
 * 删除
 * @param data
 * @returns {AxiosPromise}
 */
export function deleteChecklistCatById(id) {
  return request({
    url: `/checklist/cat/${id}`,
    method: 'DELETE'
  })
}

