import {
	request
} from '@/utils/request'
/**
 * 列表查询Checklist Item Point
 * @param data
 * @returns
 */
export function getChecklistItemPointByList(data) {
  return request({
    url: '/checklist/item/point',
    method: 'GET',
    params: data
  })
}

/**
 * 基于ID查询
 * @param checklistId  清单ID
 * @param itemId 分类项ID
 * @param pointId 内容项ID
 * @returns
 */
export function getChecklistItemPointById(checklistId, itemId, pointId) {
  return request({
    url: `/checklist/item/point/${checklistId}/${itemId}/${pointId}`,
    method: 'GET'
  })
}

/**
 * 添加Checklist Item
 * @param data
 * @returns
 */
export function createChecklistItemPoint(data) {
  return request({
    url: `/checklist/item/point/add`,
    method: 'POST',
    data
  })
}

/**
 * 更新Checklist Item
 * @param data
 * @returns
 */
export function updateChecklistItemPoint(data) {
  return request({
    url: `/checklist/item/point/update`,
    method: 'PUT',
    data
  })
}

/**
 * 删除Checklist Item
 * @param checklistId  清单ID
 * @param itemId 分类项ID
 * @param pointId 内容项ID
 * @returns
 */
export function deleteChecklistItemPointById(checklistId, itemId, pointId) {
  return request({
    url: `/checklist/item/point/${checklistId}/${itemId}/${pointId}`,
    method: 'DELETE'
  })
}

