import {
	request
} from '@/utils/request'

/**
 * 获取Checklist列表
 * @param data
 * @returns
 */
export function getChecklistRecordByList(data) {
  return request({
    url: '/checklist/point/record',
    method: 'GET',
    params: data
  })
}

/**
 * 根据Id获取Checklist Point Record
 * @param recordId
 * @param itemId
 * @param pointId
 * @returns
 */
export function getChecklistPointRecordById(recordId, itemId, pointId) {
  return request({
    url: `/checklist/point/record/${recordId}/${itemId}/${pointId}`,
    method: 'GET'
  })
}

/**
 * 基于Id删除Checklist Point Record
 * @param recordId
 * @param itemId
 * @param pointId
 * @returns
 */
export function deleteChecklistPointRecordById(recordId, itemId, pointId) {
  return request({
    url: `/checklist/point/record/${recordId}/${itemId}/${pointId}`,
    method: 'DELETE'
  })
}
