import {
	request
} from '@/utils/request'

/**
 * 获取Checklist分页
 * @param data
 * @returns
 */
export function getChecklistRecordByPage(data) {
  return request({
    url: '/checklist/record/page',
    method: 'GET',
    params: data
  })
}

/**
 * 获取Checklist列表
 * @param data
 * @returns
 */
export function getChecklistRecordByList(data) {
  return request({
    url: '/checklist/record',
    method: 'GET',
    params: data
  })
}

/**
 * 基于checklistId删除Checklist
 * @param recordId
 * @returns
 */
export function deleteChecklistRecordById(recordId) {
  return request({
    url: `/checklist/record/${recordId}`,
    method: 'DELETE'
  })
}

/**
 * 根据Id获取Checklist Record Data
 * @param recordId
 * @returns
 */
export function getChecklistRecordViewById(recordId) {
  return request({
    url: `/checklist/record/view/${recordId}`,
    method: 'GET'
  })
}
