import {
	request
} from '@/utils/request'

/**
 * 获取列表
 * @param data
 * @returns {}
 */
export function getChecklistTargetByList(data) {
  return request({
    url: '/checklist/target',
    method: 'GET',
    params: data
  })
}

/**
 * 获取列表
 * @param data
 * @returns {}
 */
export function getChecklistSelectByList(data) {
  return request({
    url: '/checklist/target/select',
    method: 'GET',
    params: data
  })
}

/**
 * 添加
 * @param data
 * @returns {}
 */
export function createChecklistTarget(data) {
  return request({
    url: `/checklist/target/add`,
    method: 'post',
    data
  })
}

/**
 * 更新
 * @param data
 * @returns {}
 */
export function updateChecklistTarget(data) {
  return request({
    url: `/checklist/target/update`,
    method: 'PUT',
    data
  })
}

/**
 * 删除
 * @returns {}
 * @param targetId
 * @param checklistId
 */
export function deleteChecklistTargetById(targetId, checklistId) {
  return request({
    url: `/checklist/target/${targetId}/${checklistId}`,
    method: 'DELETE'
  })
}

